List Export Presets For Member
curl --request GET \
--url https://go.aiinsurance.io/api/v1/companies/{companyId}/export-presets \
--header 'Authorization: Bearer <token>'import requests
url = "https://go.aiinsurance.io/api/v1/companies/{companyId}/export-presets"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://go.aiinsurance.io/api/v1/companies/{companyId}/export-presets', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://go.aiinsurance.io/api/v1/companies/{companyId}/export-presets",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://go.aiinsurance.io/api/v1/companies/{companyId}/export-presets"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://go.aiinsurance.io/api/v1/companies/{companyId}/export-presets")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://go.aiinsurance.io/api/v1/companies/{companyId}/export-presets")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"ownerUserId": "3f2b8c1e-6d4a-4b7e-9a15-2c8e0f4d7b91",
"presets": [
{
"id": "9b1d4e7a-2c3f-4a8b-b6d5-0e7f1a2c3d4e",
"ownerUserId": "3f2b8c1e-6d4a-4b7e-9a15-2c8e0f4d7b91",
"entityType": "exposure",
"name": "Underwriting view",
"visibility": "private",
"isDefault": false,
"rowSource": null,
"fieldKeys": [
"exposureName",
"id",
"createdAt"
],
"createdAt": "2026-09-25T14:03:22.418Z",
"updatedAt": "2026-09-25T14:03:22.418Z"
},
{
"id": "2e6c0a9f-5b7d-4c1e-8f3a-6d2b9e4a1c70",
"ownerUserId": "3f2b8c1e-6d4a-4b7e-9a15-2c8e0f4d7b91",
"entityType": "bordereau",
"name": "Monthly bordereau",
"visibility": "shared",
"isDefault": true,
"rowSource": null,
"fieldKeys": [
"fixed:policyNumber",
"field:policyStatus"
],
"createdAt": "2026-10-01T09:12:05.031Z",
"updatedAt": "2026-10-02T16:40:51.774Z"
}
]
}Entities
List Export Presets For Member
Lists every saved export preset the company member named by
ownerUserId owns, across entity types, private and shared, oldest
first. Presets other members share with them are not included.
- A missing or malformed
ownerUserIdis400 VALIDATION_ERROR. - An
ownerUserIdwho is not a member of the company is400 ExportPresetOwnerNotMember.
Required permission: export-preset.view-for-member
GET
/
api
/
v1
/
companies
/
{companyId}
/
export-presets
List Export Presets For Member
curl --request GET \
--url https://go.aiinsurance.io/api/v1/companies/{companyId}/export-presets \
--header 'Authorization: Bearer <token>'import requests
url = "https://go.aiinsurance.io/api/v1/companies/{companyId}/export-presets"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://go.aiinsurance.io/api/v1/companies/{companyId}/export-presets', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://go.aiinsurance.io/api/v1/companies/{companyId}/export-presets",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://go.aiinsurance.io/api/v1/companies/{companyId}/export-presets"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://go.aiinsurance.io/api/v1/companies/{companyId}/export-presets")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://go.aiinsurance.io/api/v1/companies/{companyId}/export-presets")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"ownerUserId": "3f2b8c1e-6d4a-4b7e-9a15-2c8e0f4d7b91",
"presets": [
{
"id": "9b1d4e7a-2c3f-4a8b-b6d5-0e7f1a2c3d4e",
"ownerUserId": "3f2b8c1e-6d4a-4b7e-9a15-2c8e0f4d7b91",
"entityType": "exposure",
"name": "Underwriting view",
"visibility": "private",
"isDefault": false,
"rowSource": null,
"fieldKeys": [
"exposureName",
"id",
"createdAt"
],
"createdAt": "2026-09-25T14:03:22.418Z",
"updatedAt": "2026-09-25T14:03:22.418Z"
},
{
"id": "2e6c0a9f-5b7d-4c1e-8f3a-6d2b9e4a1c70",
"ownerUserId": "3f2b8c1e-6d4a-4b7e-9a15-2c8e0f4d7b91",
"entityType": "bordereau",
"name": "Monthly bordereau",
"visibility": "shared",
"isDefault": true,
"rowSource": null,
"fieldKeys": [
"fixed:policyNumber",
"field:policyStatus"
],
"createdAt": "2026-10-01T09:12:05.031Z",
"updatedAt": "2026-10-02T16:40:51.774Z"
}
]
}Authorizations
BearerAuthApiKeyAuth
User-principal OAuth 2.0 Bearer authentication. Send a user-scoped Auth0 access token (audience = the app API audience) as Authorization: Bearer <jwt>. The request resolves to the user's identity and is authorized by their Role on the {companyId} in the path — the same role-based permissions the web app enforces. This is the path the MCP connector uses to act on a user's behalf; endpoints that accept it list both BearerAuth and ApiKeyAuth.
Path Parameters
Company identifier
Query Parameters
The company member whose presets to list.
